package Indicators::Cours;

use strict;
use vars qw($code $code2);

## Nouvelle mthode, une chaine qui va etre evalue  l'xcution une
## seule fois. Elle peut utiliser le hash de donnes via %data et
## doit chercher les dates  partir du tableau @date qui contient
## une conversion 'numero' => 'date'. La fonction bnficie du
## numro de jour dans $ind. Elle ne doit pas utiliser des jours en-dehors
## de l'intervalle prvu (cf informations fournies dans l'un register)

$code = q# 
return [ @{$data{$date[$ind]}}[0..3] ];
#;
$code2 = q# 
return $data{$date[$ind]}[3];
#;

Indicators::register_indic(
  'cours',                       ## The name of a indicators
  'code' => \$code,
  'description' => 'Les cours (chandeliers)',
  'explication' => "Les cours sous forme de chandeliers",
  'representation' => 'chandelier_1_standard',
  'range' => [0, 0],
  'color' => 'yellow',
  'param' => [    ],             ## Optionnal parameters
  'visible' => 1,
  'ordre'   => -1,
  'nocache' => 1
                          );
Indicators::register_indic(
  'cours-courbe',                ## The name of a indicators
  'code' => \$code2,
  'description' => 'Les cours (courbe)',
  'explication' => "Les cours sous forme d'une courbe (cours de clture)",
  'representation' => 'courbe_1_standard',
  'range' => [0, 0],
  'color' => 'yellow',
  'param' => [    ],             ## Optionnal parameters
  'visible' => 1,
  'nocache' => 1
                          );
Indicators::register_indic(
  'cours-barchart',                ## The name of a indicators
  'code' => \$code,
  'description' => 'Les cours (barchart)',
  'explication' => "Les cours sous forme de barchart",
  'representation' => 'barchart_1_standard',
  'range' => [0, 0],
  'color' => 'yellow',
  'param' => [    ],             ## Optionnal parameters
  'visible' => 1,
  'nocache' => 1
                         );
1;
