package Indicators::Volume;

use strict;
use Conf;
use vars qw($code %description %explication);

$code = q# 
return $data{$date[$ind]}[4];
#;

%description = ( 'en' => 'Volumes',
                 'fr' => 'Les volumes' );
%explication = ( 'en' => 'Volumes',
                 'fr' => 'Les volumes (nombres d\'actions changes ' .
                         'dans la journe)' );

Indicators::register_indic(
  'volume',
  'code' => \$code,
  'description' => $description{$Conf{'indic_lang'}} || $description{'en'},
  'explication' => $explication{$Conf{'indic_lang'}} || $explication{'en'},
  'representation' => 'histogramme_3_standard',
  'range' => [0, 0],
  'color' => 'red',
  'param' => [    ],
  'visible' => 1,
  'nocache' => 1
                          );

1;
