#!/usr/bin/perl -w

use lib '/rack/perso/travaux/geniustrader-0.01';
use LocalDB;

my $date;

## Rcupration de la date si possible dans le nom de fichier
if ($#ARGV == 0) { 
  $date = $1 if ($ARGV[0] =~ /(\d{8})/);
};

## Sinon on demande (ou on la lit de l'entre standard!)
unless ($date) {
  print "Quelle est la date des cours (format : aaaammjj ou yyyymmdd) ? ";
  chomp($date = <STDIN>);
}

my @d;
my $db;

## On commence le boulot
while(defined($_=<>))
{
  @d = split /,/;
  if (LocalDB::key_exists($d[0])) {
    $db = LocalDB->open($d[0],'w');
  } else {
    $db = LocalDB->new($d[0]);
  };
  $db->set([ $date, @d[2..6] ]);
}

